body {
    overflow: hidden;
}
model-viewer {
    width: 100vw;
    height: 100vh;
}

button {
    appearance: auto;
    -webkit-appearance: auto;
    -moz-appearance: auto;
}

.Hotspot {
    background: rgb(255, 255, 255);
    border-radius: 32px;
    border: 0px;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 2px 4px;
    box-sizing: border-box;
    cursor: pointer;
    height: 24px;
    padding: 8px;
    position: relative;
    transition: opacity 0.3s;
    width: 24px;
}

.Hotspot > * {
    opacity: 1;
    transform: translateY(-50%);
}

.Hotspot:not([data-visible]) > * {
    opacity: 0;
    pointer-events: none;
    transform: translateY(calc(-50% + 4px));
    transition: transform 0.3s, opacity 0.3s;
}

.Hotspot:not([data-visible]) {
    background: transparent;
    border: 4px solid rgb(255, 255, 255);
    box-shadow: none;
    height: 32px;
    pointer-events: none;
    width: 32px;
}

.Hotspot:focus {
    border: 4px solid rgb(0, 128, 200);
    height: 32px;
    outline: none;
    width: 32px;
}

.HotspotAnnotation {
    background: rgb(255, 255, 255);
    border-radius: 4px;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 2px 4px;
    color: rgba(0, 0, 0, 0.8);
    display: block;
    font-family: Futura, "Helvetica Neue", sans-serif;
    font-size: 18px;
    font-weight: 700;
    left: calc(100% + 1em);
    max-width: 128px;
    overflow-wrap: break-word;
    padding: 0.5em 1em;
    position: absolute;
    top: 50%;
    width: max-content;
}

#ar-button {
    position: absolute;
    bottom: 8vh;
    right: 12vw;
    background-color: #002135;
    color: #ffffff;
    outline: 2px solid #018dff;
    padding: 10px 15px;
    border-radius: 5px;
}

#dropDown {
    position: absolute;
    top: 3vh;
    left: 3vh;
    z-index: 2;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-content: flex-start;
    justify-content: center;
    align-items: center;
    height: auto;
    width: auto;
    padding: 10px;
    border-radius: 5px;
    background-color: aliceblue;
    box-shadow: -1px 2px 8px #00000038;
}

#modelLabel {
    padding: 10px 0;
}